

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>posydon.visualization.evolution_plot &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../../" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/doctools.js"></script>
        <script src="../../../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../../../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../../index.html" class="icon icon-home"></a> &raquo;</li>
        
          <li><a href="../../index.html">Module code</a> &raquo;</li>
        
      <li>posydon.visualization.evolution_plot</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <h1>Source code for posydon.visualization.evolution_plot</h1><div class="highlight"><pre>
<span></span><span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>


<div class="viewcode-block" id="plot_radii"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_radii">[docs]</a><span class="k">def</span> <span class="nf">plot_radii</span><span class="p">(</span><span class="n">history</span><span class="p">,</span> <span class="n">ax</span><span class="p">,</span> <span class="n">x_param</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">,</span> <span class="n">color_1</span><span class="o">=</span><span class="s1">&#39;C0&#39;</span><span class="p">,</span> <span class="n">color_2</span><span class="o">=</span><span class="s1">&#39;C1&#39;</span><span class="p">):</span>

    <span class="n">radius_L_1</span> <span class="o">=</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;rl_1&#39;</span><span class="p">]</span>
    <span class="n">radius_L_2</span> <span class="o">=</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;rl_2&#39;</span><span class="p">]</span>
    <span class="n">radius_1</span> <span class="o">=</span> <span class="n">radius_L_1</span> <span class="o">*</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;rl_relative_overflow_1&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="mi">1</span><span class="p">)</span>
    <span class="n">radius_2</span> <span class="o">=</span> <span class="n">radius_L_2</span> <span class="o">*</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;rl_relative_overflow_2&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="mi">1</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">radius_1</span><span class="p">,</span> <span class="n">color</span><span class="o">=</span><span class="n">color_1</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">radius_2</span><span class="p">,</span> <span class="n">color</span><span class="o">=</span><span class="n">color_2</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">radius_L_1</span><span class="p">,</span> <span class="n">color</span><span class="o">=</span><span class="n">color_1</span><span class="p">,</span> <span class="n">linestyle</span><span class="o">=</span><span class="s1">&#39;dashed&#39;</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">radius_L_2</span><span class="p">,</span> <span class="n">color</span><span class="o">=</span><span class="n">color_2</span><span class="p">,</span> <span class="n">linestyle</span><span class="o">=</span><span class="s1">&#39;dashed&#39;</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;Mass ($R_{\odot}$)&#39;</span><span class="p">)</span></div>


<div class="viewcode-block" id="plot_masses"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_masses">[docs]</a><span class="k">def</span> <span class="nf">plot_masses</span><span class="p">(</span><span class="n">history</span><span class="p">,</span> <span class="n">ax</span><span class="p">,</span> <span class="n">x_param</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">,</span> <span class="n">color_1</span><span class="o">=</span><span class="s1">&#39;C0&#39;</span><span class="p">,</span> <span class="n">color_2</span><span class="o">=</span><span class="s1">&#39;C1&#39;</span><span class="p">):</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_1</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_2</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;Mass ($M_{\odot}$)&#39;</span><span class="p">)</span></div>


<div class="viewcode-block" id="plot_T_eff"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_T_eff">[docs]</a><span class="k">def</span> <span class="nf">plot_T_eff</span><span class="p">(</span><span class="n">history_1</span><span class="p">,</span> <span class="n">history_2</span><span class="p">,</span> <span class="n">ax</span><span class="p">,</span> <span class="n">x_param</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">,</span> <span class="n">color_1</span><span class="o">=</span><span class="s1">&#39;C0&#39;</span><span class="p">,</span> <span class="n">color_2</span><span class="o">=</span><span class="s1">&#39;C1&#39;</span><span class="p">):</span>

    <span class="k">if</span> <span class="ow">not</span> <span class="n">history_1</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">:</span>
        <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history_1</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="mi">10</span><span class="o">**</span><span class="n">history_1</span><span class="p">[</span><span class="s1">&#39;log_Teff&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_1</span><span class="p">)</span>
    <span class="k">if</span> <span class="ow">not</span> <span class="n">history_2</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">:</span>
        <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history_2</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="mi">10</span><span class="o">**</span><span class="n">history_2</span><span class="p">[</span><span class="s1">&#39;log_Teff&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_2</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="n">x_param</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;$T_{\rm eff}$ (K)&#39;</span><span class="p">)</span></div>

<div class="viewcode-block" id="plot_M_dot"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_M_dot">[docs]</a><span class="k">def</span> <span class="nf">plot_M_dot</span><span class="p">(</span><span class="n">history</span><span class="p">,</span> <span class="n">ax</span><span class="p">,</span> <span class="n">x_param</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">,</span> <span class="n">color_1</span><span class="o">=</span><span class="s1">&#39;C0&#39;</span><span class="p">,</span> <span class="n">color_2</span><span class="o">=</span><span class="s1">&#39;C1&#39;</span><span class="p">):</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="mi">10</span><span class="o">**</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;lg_system_mdot_1&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_1</span><span class="p">,</span> <span class="n">linewidth</span><span class="o">=</span><span class="mi">5</span><span class="p">,</span> <span class="n">alpha</span><span class="o">=</span><span class="mf">0.3</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="mi">10</span><span class="o">**</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;lg_system_mdot_2&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_2</span><span class="p">,</span> <span class="n">linewidth</span><span class="o">=</span><span class="mi">5</span><span class="p">,</span> <span class="n">alpha</span><span class="o">=</span><span class="mf">0.3</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="mi">10</span><span class="o">**</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;lg_mstar_dot_1&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_1</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="mi">10</span><span class="o">**</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;lg_mstar_dot_2&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="n">color_2</span><span class="p">)</span>

<span class="c1">#     ax.plot(history[x_param], 10**history[&#39;lg_mtransfer_rate&#39;], color=&#39;k&#39;, linewidth=5, zorder=0.5)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylim</span><span class="p">(</span><span class="mf">1.0e-12</span><span class="p">,</span> <span class="mf">1.0e0</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">set_yscale</span><span class="p">(</span><span class="s1">&#39;log&#39;</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;Mass transfer rate ($M_{\odot}$ yr$^{-1}$)&#39;</span><span class="p">)</span></div>


<div class="viewcode-block" id="plot_P_orb"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_P_orb">[docs]</a><span class="k">def</span> <span class="nf">plot_P_orb</span><span class="p">(</span><span class="n">history</span><span class="p">,</span> <span class="n">ax</span><span class="p">,</span> <span class="n">x_param</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">):</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;period_days&#39;</span><span class="p">],</span> <span class="n">color</span><span class="o">=</span><span class="s1">&#39;k&#39;</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;$P_{\rm orb}$&#39;</span><span class="p">)</span></div>


<div class="viewcode-block" id="plot_ecc"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_ecc">[docs]</a><span class="k">def</span> <span class="nf">plot_ecc</span><span class="p">(</span><span class="n">history</span><span class="p">,</span> <span class="n">ax</span><span class="p">,</span> <span class="n">x_param</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">):</span>

    <span class="n">G</span> <span class="o">=</span> <span class="mf">6.674e-8</span>
    <span class="n">Msun</span> <span class="o">=</span> <span class="mf">1.989e33</span>
    <span class="n">Rsun</span> <span class="o">=</span> <span class="mf">6.95e10</span>

    <span class="n">reduced_mass</span> <span class="o">=</span> <span class="n">Msun</span> <span class="o">/</span> <span class="p">(</span><span class="mf">1.0</span><span class="o">/</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="mf">1.0</span><span class="o">/</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">])</span>
    <span class="n">J_orb</span> <span class="o">=</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;J_orb&#39;</span><span class="p">]</span>
    <span class="n">h_orb</span> <span class="o">=</span> <span class="n">J_orb</span> <span class="o">/</span> <span class="n">reduced_mass</span>
    <span class="n">E_orb</span> <span class="o">=</span> <span class="n">G</span> <span class="o">*</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">])</span><span class="o">*</span><span class="n">Msun</span> <span class="o">/</span> <span class="p">(</span><span class="mi">2</span> <span class="o">*</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;binary_separation&#39;</span><span class="p">]</span> <span class="o">*</span> <span class="n">Rsun</span><span class="p">)</span>
    <span class="n">e_orb</span> <span class="o">=</span> <span class="n">E_orb</span> <span class="o">/</span> <span class="n">reduced_mass</span>
<span class="c1">#     e_orb = G * (history[&#39;star_1_mass&#39;] + history[&#39;star_2_mass&#39;])*Msun / (2 * history[&#39;binary_separation&#39;] * Rsun)</span>

    <span class="n">alpha</span> <span class="o">=</span> <span class="n">G</span> <span class="o">*</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">])</span><span class="o">*</span><span class="n">Msun</span>
    <span class="n">mu</span> <span class="o">=</span> <span class="n">G</span> <span class="o">*</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">])</span><span class="o">*</span><span class="n">Msun</span>

    <span class="n">ecc</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sqrt</span><span class="p">(</span><span class="mi">1</span> <span class="o">+</span> <span class="mi">2</span><span class="o">*</span><span class="n">e_orb</span> <span class="o">*</span> <span class="n">h_orb</span><span class="o">**</span><span class="mi">2</span> <span class="o">/</span> <span class="p">(</span><span class="n">mu</span><span class="o">**</span><span class="mi">2</span><span class="p">))</span>


    <span class="n">h_orb</span> <span class="o">=</span> <span class="n">J_orb</span> <span class="o">/</span> <span class="n">Msun</span> <span class="o">*</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">]</span> <span class="o">+</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">])</span> <span class="o">/</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_1_mass&#39;</span><span class="p">]</span> <span class="o">/</span> <span class="n">history</span><span class="p">[</span><span class="s1">&#39;star_2_mass&#39;</span><span class="p">]</span>


<span class="c1">#     print(h_orb**2 / G / (history[&#39;binary_separation&#39;] * Rsun))</span>

    <span class="n">ecc</span> <span class="o">=</span> <span class="n">np</span><span class="o">.</span><span class="n">sqrt</span><span class="p">(</span><span class="mi">1</span> <span class="o">-</span> <span class="n">h_orb</span><span class="o">**</span><span class="mi">2</span> <span class="o">/</span> <span class="n">G</span> <span class="o">/</span> <span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="s1">&#39;binary_separation&#39;</span><span class="p">]</span> <span class="o">*</span> <span class="n">Rsun</span><span class="p">))</span>

<span class="c1">#     print(ecc)</span>

<span class="c1">#     ecc = np.sqrt(1 + E_orb * J_orb**2 / (reduced_mass * alpha**2))</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">history</span><span class="p">[</span><span class="n">x_param</span><span class="p">],</span> <span class="n">ecc</span><span class="p">,</span> <span class="n">color</span><span class="o">=</span><span class="s1">&#39;k&#39;</span><span class="p">)</span>

    <span class="n">ax</span><span class="o">.</span><span class="n">set_ylabel</span><span class="p">(</span><span class="s1">&#39;Eccentricity&#39;</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">set_xlabel</span><span class="p">(</span><span class="n">x_param</span><span class="p">)</span></div>


<div class="viewcode-block" id="plot_binary"><a class="viewcode-back" href="../../../api/posydon.visualization.evolution_plot.html#posydon.visualization.evolution_plot.plot_binary">[docs]</a><span class="k">def</span> <span class="nf">plot_binary</span><span class="p">(</span><span class="n">history_binary</span><span class="p">,</span> <span class="n">history_1</span><span class="p">,</span> <span class="n">history_2</span><span class="p">,</span> <span class="n">x_axis</span><span class="o">=</span><span class="s1">&#39;model_number&#39;</span><span class="p">):</span>

    <span class="c1"># Create plot</span>
    <span class="n">fig</span><span class="p">,</span> <span class="n">ax</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">subplots</span><span class="p">(</span><span class="mi">3</span><span class="p">,</span> <span class="mi">2</span><span class="p">,</span> <span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">8</span><span class="p">))</span>


    <span class="n">plot_radii</span><span class="p">(</span><span class="n">history_binary</span><span class="p">,</span> <span class="n">ax</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">0</span><span class="p">],</span> <span class="n">x_param</span><span class="o">=</span><span class="n">x_axis</span><span class="p">)</span>

    <span class="n">plot_masses</span><span class="p">(</span><span class="n">history_binary</span><span class="p">,</span> <span class="n">ax</span><span class="p">[</span><span class="mi">1</span><span class="p">,</span><span class="mi">0</span><span class="p">],</span> <span class="n">x_param</span><span class="o">=</span><span class="n">x_axis</span><span class="p">)</span>

    <span class="n">plot_T_eff</span><span class="p">(</span><span class="n">history_1</span><span class="p">,</span> <span class="n">history_2</span><span class="p">,</span> <span class="n">ax</span><span class="p">[</span><span class="mi">2</span><span class="p">,</span><span class="mi">0</span><span class="p">],</span> <span class="n">x_param</span><span class="o">=</span><span class="n">x_axis</span><span class="p">)</span>

    <span class="n">plot_M_dot</span><span class="p">(</span><span class="n">history_binary</span><span class="p">,</span> <span class="n">ax</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">1</span><span class="p">],</span> <span class="n">x_param</span><span class="o">=</span><span class="n">x_axis</span><span class="p">)</span>

    <span class="n">plot_P_orb</span><span class="p">(</span><span class="n">history_binary</span><span class="p">,</span> <span class="n">ax</span><span class="p">[</span><span class="mi">1</span><span class="p">,</span><span class="mi">1</span><span class="p">],</span> <span class="n">x_param</span><span class="o">=</span><span class="n">x_axis</span><span class="p">)</span>

    <span class="n">plot_ecc</span><span class="p">(</span><span class="n">history_binary</span><span class="p">,</span> <span class="n">ax</span><span class="p">[</span><span class="mi">2</span><span class="p">,</span><span class="mi">1</span><span class="p">],</span> <span class="n">x_param</span><span class="o">=</span><span class="n">x_axis</span><span class="p">)</span>

    <span class="n">plt</span><span class="o">.</span><span class="n">tight_layout</span><span class="p">()</span>

    <span class="k">return</span> <span class="n">fig</span></div>
</pre></div>

           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>